<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta charset="utf-8">
    <meta http-equiv="Content-Language" content="en">
    <meta name="language" content="en">

    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>

    <link href="./style.css" rel="stylesheet" type="text/css">

    <script src="js/polyfills.js"></script>
    <script src="js/main.js" type="module"></script>

    <title>DOKU</title>
</head>
<body>
<section>
    <article>

        <div id="debug-infos">
            <h3 class="msg"></h3>
            <div id="stats"></div>
        </div>

        <div id="main">
            <div>
                <div class="row row-1">
                    <div class="box row-1 col-1" tabindex="11"></div>
                    <div class="box row-1 col-2" tabindex="12"></div>
                    <div class="box row-1 col-3" tabindex="13"></div>
                    <div class="box row-1 col-4" tabindex="14"></div>
                    <div class="box row-1 col-5" tabindex="15"></div>
                    <div class="box row-1 col-6" tabindex="16"></div>
                    <div class="box row-1 col-7" tabindex="17"></div>
                    <div class="box row-1 col-8" tabindex="18"></div>
                    <div class="box row-1 col-9" tabindex="19"></div>
                </div>
                <div class="row row-2">
                    <div class="box row-2 col-1" tabindex="21"></div>
                    <div class="box row-2 col-2" tabindex="22"></div>
                    <div class="box row-2 col-3" tabindex="23"></div>
                    <div class="box row-2 col-4" tabindex="24"></div>
                    <div class="box row-2 col-5" tabindex="25"></div>
                    <div class="box row-2 col-6" tabindex="26"></div>
                    <div class="box row-2 col-7" tabindex="27"></div>
                    <div class="box row-2 col-8" tabindex="28"></div>
                    <div class="box row-2 col-9" tabindex="29"></div>
                </div>
                <div class="row row-3">
                    <div class="box row-3 col-1" tabindex="31"></div>
                    <div class="box row-3 col-2" tabindex="32"></div>
                    <div class="box row-3 col-3" tabindex="33"></div>
                    <div class="box row-3 col-4" tabindex="34"></div>
                    <div class="box row-3 col-5" tabindex="35"></div>
                    <div class="box row-3 col-6" tabindex="36"></div>
                    <div class="box row-3 col-7" tabindex="37"></div>
                    <div class="box row-3 col-8" tabindex="38"></div>
                    <div class="box row-3 col-9" tabindex="39"></div>
                </div>
                <div class="row row-4">
                    <div class="box row-4 col-1" tabindex="41"></div>
                    <div class="box row-4 col-2" tabindex="42"></div>
                    <div class="box row-4 col-3" tabindex="43"></div>
                    <div class="box row-4 col-4" tabindex="44"></div>
                    <div class="box row-4 col-5" tabindex="45"></div>
                    <div class="box row-4 col-6" tabindex="46"></div>
                    <div class="box row-4 col-7" tabindex="47"></div>
                    <div class="box row-4 col-8" tabindex="48"></div>
                    <div class="box row-4 col-9" tabindex="49"></div>
                </div>
                <div class="row row-5">
                    <div class="box row-5 col-1" tabindex="51"></div>
                    <div class="box row-5 col-2" tabindex="52"></div>
                    <div class="box row-5 col-3" tabindex="53"></div>
                    <div class="box row-5 col-4" tabindex="54"></div>
                    <div class="box row-5 col-5" tabindex="55"></div>
                    <div class="box row-5 col-6" tabindex="56"></div>
                    <div class="box row-5 col-7" tabindex="57"></div>
                    <div class="box row-5 col-8" tabindex="58"></div>
                    <div class="box row-5 col-9" tabindex="59"></div>
                </div>
                <div class="row row-6">
                    <div class="box row-6 col-1" tabindex="61"></div>
                    <div class="box row-6 col-2" tabindex="62"></div>
                    <div class="box row-6 col-3" tabindex="63"></div>
                    <div class="box row-6 col-4" tabindex="64"></div>
                    <div class="box row-6 col-5" tabindex="65"></div>
                    <div class="box row-6 col-6" tabindex="66"></div>
                    <div class="box row-6 col-7" tabindex="67"></div>
                    <div class="box row-6 col-8" tabindex="68"></div>
                    <div class="box row-6 col-9" tabindex="69"></div>
                </div>
                <div class="row row-7">
                    <div class="box row-7 col-1" tabindex="71">

                    </div>
                    <div class="box row-7 col-2" tabindex="72"></div>
                    <div class="box row-7 col-3" tabindex="73"></div>
                    <div class="box row-7 col-4" tabindex="74"></div>
                    <div class="box row-7 col-5" tabindex="75"></div>
                    <div class="box row-7 col-6" tabindex="76"></div>
                    <div class="box row-7 col-7" tabindex="77"></div>
                    <div class="box row-7 col-8" tabindex="78"></div>
                    <div class="box row-7 col-9" tabindex="79"></div>
                </div>
                <div class="row row-8">
                    <div class="box row-8 col-1" tabindex="81"></div>
                    <div class="box row-8 col-2" tabindex="82"></div>
                    <div class="box row-8 col-3" tabindex="83"></div>
                    <div class="box row-8 col-4" tabindex="84"></div>
                    <div class="box row-8 col-5" tabindex="85"></div>
                    <div class="box row-8 col-6" tabindex="86"></div>
                    <div class="box row-8 col-7" tabindex="87"></div>
                    <div class="box row-8 col-8" tabindex="88"></div>
                    <div class="box row-8 col-9" tabindex="89"></div>
                </div>
                <div class="row row-9">
                    <div class="box row-9 col-1" tabindex="91"></div>
                    <div class="box row-9 col-2" tabindex="92"></div>
                    <div class="box row-9 col-3" tabindex="93"></div>
                    <div class="box row-9 col-4" tabindex="94"></div>
                    <div class="box row-9 col-5" tabindex="95"></div>
                    <div class="box row-9 col-6" tabindex="96"></div>
                    <div class="box row-9 col-7" tabindex="97"></div>
                    <div class="box row-9 col-8" tabindex="98"></div>
                    <div class="box row-9 col-9" tabindex="99"></div>
                </div>
            </div>
            <button id="solve-trigger" onclick="solve()">Solve</button>
        </div>

        <div id="config">
            <div>
                <h3>Config</h3>
                <fieldset>
                    <legend>Options</legend>
                    <div>
                        <label for="pauseOnLoop">Pause on loop</label>
                        <input type="checkbox" value="1" name="pauseOnLoop"/>
                    </div>

                    <div>
                        <label for="delay">Delay</label>
                        <input type="number" value="0" name="delay"/>
                    </div>
                </fieldset>
                <fieldset>
                    <legend>Parametres</legend>
                    <div>
                        <label for="changedColor">Changed color</label>
                        <input type="color" value="#FFFF00" name="changedColor"/>
                    </div>

                    <div>
                        <label for="unchangedColor">Unchanged color</label>
                        <input type="color" value="#FFA500" name="unchangedColor"/>
                    </div>

                    <div>
                        <label for="computedColor">Computed color</label>
                        <input type="color" value="#90EE90" name="computedColor"/>
                    </div>
                </fieldset>
            </div>
        </div>

        <hr/>

        <div>
            <button id="test-trigger" onclick="test()">Test one grid per implemented technique !</button>
            <button id="big-test-trigger" onclick="bigTest()">Test one million grids !</button>
        </div>
    </article>
</section>
</body>
</html>